For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTCreate manual verification screening
      • POSTCreate Veriff session
      • GETGet entity screening details
      • GETGet verification method
      • GETGet worker's KYC details
LogoLogo
SupportDeel Home
EndpointsScreenings

Create manual verification screening

POST
/screenings/manual-verification
POST
/rest/v2/screenings/manual-verification
$curl -X POST https://api.letsdeel.com/rest/v2/screenings/manual-verification \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F back=@<file1> \
> -F front=@string \
> -F additional=@<file1> \
> -F document_type="PASSPORT" \
> -F operation_type="IDENTITY_RESUBMISSION_KYC" \
> -F selfie_with_id=@string \
> -F proof_of_residence=@<file1> \
> -F translation_required='true'
1{
2 "data": {
3 "created_at": "2017-07-21T17:32:28Z",
4 "request_id": "64rpWq2xQT225nGMQIaKg"
5 }
6}

Creates a manual identity verification submission as a fallback when automated verification has failed multiple times or when the document’s country of issue is not supported by the automated solution. Token scopes: worker:write

Was this page helpful?
Previous

Create Veriff session

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects a multipart form with multiple files.
backfileOptional
The back side of the document
frontfileRequired
The front side of the document
additionalfileOptional
An additional document
document_typeenumRequired
The type of document to be verified
Allowed values:
operation_typeenumRequired
The type of KYC operation to perform
Allowed values:
selfie_with_idfileRequired
A selfie of the user holding the ID document
document_countrystringOptional=2 characters

The issuing country code of the document to be verified (ISO 3166-1 alpha-2)

proof_of_residencefileOptional
A proof of residence document
translation_requiredbooleanRequired
Indicates whether the document requires translation

Response

Successful operation
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/